libcollectdclient1_5.8.1-1.3_amd64.deb


Advertisement

Description

libcollectdclient1 - client library for collectd's control interface

Property Value
Distribution Debian 10 (Buster)
Repository Debian Main amd64
Package filename libcollectdclient1_5.8.1-1.3_amd64.deb
Package name libcollectdclient1
Package version 5.8.1
Package release 1.3
Package architecture amd64
Package type deb
Category libs role::shared-lib
Homepage https://collectd.org/
License -
Maintainer Sebastian Harl <tokkee@debian.org>
Download size 122.84 KB
Installed size 193.00 KB
libcollectdclient provides an API to access the control interface provided by
the unixsock plugin of collectd, a statistics collection and monitoring
daemon. It can be used to access values collected by collectd or dispatch new
values and notifications to the daemon. This allows for integration with
other applications such as monitoring solutions.
This package contains the shared library.

Alternatives

Package Version Architecture Repository
libcollectdclient1_5.8.1-1.3_i386.deb 5.8.1 i386 Debian Main
libcollectdclient1 - - -

Requires

Name Value
libc6 >= 2.14
libgcrypt20 >= 1.8.0

Download

Type URL
Mirror ftp.br.debian.org
Binary Package libcollectdclient1_5.8.1-1.3_amd64.deb
Source Package collectd

Install Howto

  1. Update the package index:
    # sudo apt-get update
  2. Install libcollectdclient1 deb package:
    # sudo apt-get install libcollectdclient1

Files

Path
/usr/lib/libcollectdclient.so.1
/usr/lib/libcollectdclient.so.1.1.0
/usr/share/doc/libcollectdclient1/AUTHORS.gz
/usr/share/doc/libcollectdclient1/README.Debian.gz
/usr/share/doc/libcollectdclient1/README.gz
/usr/share/doc/libcollectdclient1/changelog.Debian.gz
/usr/share/doc/libcollectdclient1/changelog.gz
/usr/share/doc/libcollectdclient1/copyright

Changelog

2019-04-06 - Chris Hofstaedtler <zeha@debian.org>
collectd (5.8.1-1.3) unstable; urgency=medium
* Non-maintainer upload.
[ Jonathan McDowell ]
* Re-enable mqtt + varnish plugins. (Closes: #924337)
[ Chris Hofstaedtler ]
* Apply Jonathan's patch and upload it.
2018-12-25 - Luca Boccassi <bluca@debian.org>
collectd (5.8.1-1.2) unstable; urgency=medium
* Non-maintainer upload.
* Backport removed_checks_for_upper_limit_of_SENSORS_API.patch from
the upstream 5.8 release branch to fix build with libsensors5.
(Closes: #917202)
2018-12-19 - Luca Boccassi <bluca@debian.org>
collectd (5.8.1-1.1) unstable; urgency=medium
* Non-maintainer upload.
* Stop building lvm plugin and remove dependency from liblvm2-dev,
which is deprecated.
(Closes: #915692)
* Backport dpdk_configure_check.patch from the upstream 5.8 release
branch to fix build with DPDK 18.11.
(Closes: #915419)
2018-11-23 - Sebastian Harl <tokkee@debian.org>
collectd (5.8.1-1) unstable; urgency=medium
* New upstream release.
* debian/patches:
- Remove rd_kafka_last_error.patch; applied upstream.
* debian/control:
- Bump standards version to 4.2.1; no changes.
* debian/rules:
- Fix cross building: de-confuse build/host; thanks to Helmut Grohne for
reporting this and providing a patch (Closes: #913668).
- Disable mqtt plugin until #911265, #911266 get fixed.
2018-08-06 - gregor herrmann <gregoa@debian.org>
collectd (5.8.0-5.2) unstable; urgency=medium
* Non-maintainer upload.
* Fix "ftbfs with GCC-8":
debian/rules: build with -Wno-error=format-truncation as a temporary
workaround for the build failure with gcc-8 caused by a compiler warning.
(Closes: #897724)
2018-06-29 - gregor herrmann <gregoa@debian.org>
collectd (5.8.0-5.1) unstable; urgency=medium
* Non-maintainer upload.
* Fix "FTBFS: sed: can't read /usr/lib/pkgconfig/OpenIPMIpthread.pc:
No such file or directory":
Drop hack for broken OpenIPMIpthread.pc from debian/rules; apparently the
problem in #474087 was fixed in 2010.
(Closes: #900232)
2018-05-04 - Marc Fournier <marc@bl.uem.li>
collectd (5.8.0-5) unstable; urgency=medium
* debian/rules:
- remove legacy libtool1 build option, as support got dropped in collectd
5.8.
- disable varnish plugin until #879471 gets fixed.
* debian/control:
- Bump Standards-Version to 4.1.4.
2018-03-06 - Sebastian Harl <tokkee@debian.org>
collectd (5.8.0-4) unstable; urgency=medium
* debian/rules:
- Fix the arch selection for enabling the gRPC plugin. By accident, we
disabled it for exactly the wrong archs. Thanks to Adrian Bunk for
reporting this! (Closes: #892166)
2018-03-05 - Marc Fournier <marc@bl.uem.li>
collectd (5.8.0-3) unstable; urgency=medium
* debian/control:
- Limit libgrpc++-dev and protobuf-compiler-grpc Build-depend to supported
platforms.
- Bump Standards-Version to 4.1.3.
2018-02-28 - Marc Fournier <marc@bl.uem.li>
collectd (5.8.0-2) unstable; urgency=medium
* debian/control: Limit intel-cmt-cat Build-depend to intel architectures;
thanks to Adrian Bunk for reporting this. (Closes: #891673)

See Also

Package Description
libcollection-dev_0.6.1-2_amd64.deb Development files for libcollection
libcollection4_0.6.1-2_amd64.deb Collection data-type for C
libcolmap-dev_3.5-1+b1_amd64.deb Structure-from-Motion and Multi-View Stereo - development files
libcolor-calc-perl_1.074-2_all.deb module for simple calculations with RGB colors
libcolor-library-perl_0.021-3_all.deb comprehensive named-colour library
libcolor-palette-perl_0.100003-1_all.deb module to manipulate sets of named colours
libcolor-scheme-perl_1.07-1_all.deb Perl module to generate pleasant color schemes
libcolorcorrect5_5.14.5.1-1_amd64.deb Plasma Workspace for KF5 library
libcolord-dev_1.4.3-4_amd64.deb system service to manage device colour profiles -- development files
libcolord-gtk-dev_0.1.26-2_amd64.deb GTK+ convenience library for interacting with colord - dev files
libcolord-gtk1_0.1.26-2_amd64.deb GTK+ convenience library for interacting with colord
libcolord2_1.4.3-4_amd64.deb system service to manage device colour profiles -- runtime
libcolorhug-dev_1.4.3-4_amd64.deb library to access the ColorHug colourimeter -- development files
libcolorhug2_1.4.3-4_amd64.deb library to access the ColorHug colourimeter -- runtime
libcolorpicker-java-doc_1.0.0-3_all.deb Java control to allow color selection (documentation)
Advertisement
Advertisement